Debian Bug report logs - #646877
ITP: lolcat -- colorful `cat`

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: chrysn <chrysn@fsfe.org>

Date: Fri, 28 Oct 2011 01:45:05 UTC

Owned by: chrysn <chrysn@fsfe.org>

Severity: wishlist

Fixed in version lolcat/42.0.99-1

Done: chrysn@fsfe.org (Christian M. Amsüss)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#646877; Package wnpp. (Fri, 28 Oct 2011 01:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to chrysn <chrysn@fsfe.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Fri, 28 Oct 2011 01:45:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: chrysn <chrysn@fsfe.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: lolcat -- colorful `cat`
Date: Fri, 28 Oct 2011 03:43:17 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: chrysn <chrysn@fsfe.org>

* Package name    : lolcat
  Version         : 42.0.99-1
  Upstream Author : Moe <moe@busyloop.net>
* URL             : https://github.com/busyloop/lolcat
* License         : WTFPL
  Programming Lang: Ruby
  Description     : colorful `cat`

 lolcat concatenates files like the UNIX `cat` program, but colors it for the
 lulz in a rainbow animation. Terminals with 256 colors and animations are
 supported.

lolcat is a typical "game" program in the sense of cowsay or fortune;
the kind of tool you keep installed for occasional amuesement.

i'm not familiar with Ruby or ruby packaging; the current packaging just
dumps the lib/ files in /usr/lib/ruby/1.8/ and installs the executable
script to /usr/games/. if there is a better way to install gems
(ideally one that doesn't involve cdbs, just as a matter of personal
preference), please let me know.

the package is lintian clean (except for the pedantic issue of not
having an upstream changelog), and works well. if someone could confirm
that the ruby packaging part is sound, i'd be looking for a sponsor.

the packages will be available on debian mentors in a few minutes.
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 646877: 646876 Request was from chrysn <chrysn@fsfe.org> to control@bugs.debian.org. (Fri, 28 Oct 2011 11:01:35 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 646877: 646868 Request was from chrysn <chrysn@fsfe.org> to control@bugs.debian.org. (Fri, 28 Oct 2011 13:27:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#646877; Package wnpp. (Fri, 28 Oct 2011 13:43:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to chrysn <chrysn@fsfe.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 28 Oct 2011 13:43:07 GMT) Full text and rfc822 format available.

Message #14 received at 646877@bugs.debian.org (full text, mbox):

From: chrysn <chrysn@fsfe.org>
To: 646877@bugs.debian.org, control@bugs.debian.org
Subject: Re: ITP: lolcat -- colorful `cat`
Date: Fri, 28 Oct 2011 15:24:56 +0200
[Message part 1 (text/plain, inline)]
block 646877 by 646868
thanks

as with ruby-paint (itp bug 646876), i've also modified the lolcat
package to use gem2deb. transition was easy, with just an additional dh
override to move the resulting binary from /usr/bin to /usr/games.

an updated package can be found at mentors[1], overall package state is
unchanged.

i forgot to mention that lolcat not only depends on said ruby-paint
(former libpaint-ruby), but also libtrollop-ruby, and in a newer version
than currently available. the new version is strictly required in the
sense that lolcat would have to be modified to run with earlier versions
of trollop.

[1] http://mentors.debian.net/package/lolcat
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, chrysn <chrysn@fsfe.org>:
Bug#646877; Package wnpp. (Sun, 10 Jun 2012 23:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to marcel partap <mpartap@gmx.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, chrysn <chrysn@fsfe.org>. (Sun, 10 Jun 2012 23:42:02 GMT) Full text and rfc822 format available.

Message #19 received at 646877@bugs.debian.org (full text, mbox):

From: marcel partap <mpartap@gmx.net>
To: 646877@bugs.debian.org
Subject: packages vanished from mentors.d.o
Date: Mon, 11 Jun 2012 01:38:20 +0200
Dear Chrysn,
this seems to be an "interesting" package ;) well worthy of the debian
games section. Unfortunately, the packages for lolcat and the ruby-paint
lib you uploaded are not to be found on mentors any longer.. Would you
mind reuploading them?
#Regards/Marcel




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#646877; Package wnpp. (Tue, 02 Oct 2012 07:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to chrysn <chrysn@fsfe.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 02 Oct 2012 07:51:06 GMT) Full text and rfc822 format available.

Message #24 received at 646877@bugs.debian.org (full text, mbox):

From: chrysn <chrysn@fsfe.org>
To: marcel partap <mpartap@gmx.net>, 646877@bugs.debian.org
Subject: Re: Bug#646877: packages vanished from mentors.d.o
Date: Tue, 2 Oct 2012 09:39:47 +0200
[Message part 1 (text/plain, inline)]
On Mon, Jun 11, 2012 at 01:38:20AM +0200, marcel partap wrote:
> this seems to be an "interesting" package ;) well worthy of the debian
> games section. Unfortunately, the packages for lolcat and the ruby-paint
> lib you uploaded are not to be found on mentors any longer.. Would you
> mind reuploading them?

sorry for missing that mail. i've just polished up the packages again
and uploaded them again; the urls are still the same[1][2].

current packages are not perfectly lintian clean due to lintian not
knowing policy 3.9.4 yet, but that can be expected to change.

[1] http://mentors.debian.net/package/lolcat
[2] http://mentors.debian.net/package/ruby-paint
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 12 Apr 2013 20:06:05 GMT) Full text and rfc822 format available.

Reply sent to chrysn@fsfe.org (Christian M. Amsüss):
You have taken responsibility. (Fri, 19 Apr 2013 10:03:08 GMT) Full text and rfc822 format available.

Notification sent to chrysn <chrysn@fsfe.org>:
Bug acknowledged by developer. (Fri, 19 Apr 2013 10:03:08 GMT) Full text and rfc822 format available.

Message #31 received at 646877-close@bugs.debian.org (full text, mbox):

From: chrysn@fsfe.org (Christian M. Amsüss)
To: 646877-close@bugs.debian.org
Subject: Bug#646877: fixed in lolcat 42.0.99-1
Date: Fri, 19 Apr 2013 10:00:08 +0000
Source: lolcat
Source-Version: 42.0.99-1

We believe that the bug you reported is fixed in the latest version of
lolcat, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 646877@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian M. Amsüss <chrysn@fsfe.org> (supplier of updated lolcat package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 21 Feb 2013 00:44:59 +0100
Source: lolcat
Binary: lolcat
Architecture: source all
Version: 42.0.99-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Christian M. Amsüss <chrysn@fsfe.org>
Description: 
 lolcat     - colorful `cat`
Closes: 646877
Changes: 
 lolcat (42.0.99-1) unstable; urgency=low
 .
   * Initial release (Closes: #646877)
Checksums-Sha1: 
 d18cc81393a575850b2c2b6e4f0055609fa84d3e 1978 lolcat_42.0.99-1.dsc
 22f80d6b23f7ff9a5896c97f3dc5ac7044028139 200758 lolcat_42.0.99.orig.tar.gz
 3930a61826d570b609fc454a96ebcbee2477a563 3130 lolcat_42.0.99-1.debian.tar.gz
 5c4bd24e5aa4def1e216139c20b0d0bf9d2be538 5460 lolcat_42.0.99-1_all.deb
Checksums-Sha256: 
 a152513d5f7768d981fdc220f7de325e612f6eefba1bcd5473a4ec6308ca8752 1978 lolcat_42.0.99-1.dsc
 6f5988518b1a484943d294a911905b476f2193102640e21c713de2bcdd9ded7e 200758 lolcat_42.0.99.orig.tar.gz
 3c90b5286cabd57d86dabe0cf3d00ddf3906db2527763e3be87fdc33647caec8 3130 lolcat_42.0.99-1.debian.tar.gz
 b7a6a3f8443d0a042a1a97a143f60c3a885d383bd7eb172df79da527d5fa9f02 5460 lolcat_42.0.99-1_all.deb
Files: 
 c0076d823581fe01d139e9c9df96e228 1978 games extra lolcat_42.0.99-1.dsc
 141b46c0a4ef1732c7a3dbc1138c8ad9 200758 games extra lolcat_42.0.99.orig.tar.gz
 00b31264fec78007a85fbc2463056fd9 3130 games extra lolcat_42.0.99-1.debian.tar.gz
 968a5e43c55a1b3ef2ef0cf0c0e8f420 5460 games extra lolcat_42.0.99-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJRaFkPAAoJENpJWPYR4UnpdxIP/jc5NOiqjN2vqxgU+rkUXTe5
d30PwiUvOLARAlHMjOLSpUn1lOX0IAVmGztTAZgQMFp4pFO70ZqkFGz0uhfTxnGS
4hhZ4gfAqZO0wacs/SKvD6sNUZ8/bJh0zu3ynhumRxTzQa9Qdq4YpTNxpiUNwlSp
kvlTnuSN/UhfortxceV1I+PYiTJVqhOkU7WnVJOl6b+6gZ8RKst4m03f5iwls+zD
PIrH796d89uGzNUFLE3R4DIzZz7OrocoLeOaOKbp23sA7VJKPNlNA8Ko2AWfWFWJ
cFde5nPMfqEePkFKRgYkPE+WG7MbWtZdXOHPnjSQlwm+Zsh+cShTJo+72Ddyn7ga
mN4YwHsFfygKOoa0sn1XdzqAstZRUintzu4p8N8VTKOfIzst+vmtv0k6XhfRvdO4
8E8VMjJtLyjEOQ3T3Xjjdj3Bv1bkKQHodch4Flgy1yGtt52VU2TB1yDqErY9JpxY
OIoLNDf5xM3F9x1bZX74ntKMkIi1U0BVVJ1OFcn9EzwEwWOdDbC3PjkGpzUuHjRj
B+UfE4UA8XfXJ9vs9fiArTk4LKft1HiSe63g6vKfr/ltKE+RmlSjhrGCfvvBLpru
FNE9VaUurzorFiz/rXl89WWVl26tVAZboRTFwPcJ7+D8auP+Zhp5UiEc3AIscUCQ
05cVZzLUxKQZO5IhjV6Y
=HYkn
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 18 May 2013 07:33:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:26:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.